public inbox for git@vger.kernel.org 
 help / color / mirror / Atom feed
From: Junio C Hamano <junkio@cox•net>
To: Andy Parkins <andyparkins@gmail•com>
Cc: git@vger•kernel.org
Subject: [PATCH 1/3] Define cd_to_toplevel shell function in git-sh-setup
Date: Fri, 12 Jan 2007 12:55:23 -0800	[thread overview]
Message-ID: <7vmz4ormmc.fsf_-_@assigned-by-dhcp.cox.net> (raw)
In-Reply-To: <7vy7o8rnyw.fsf_-_@assigned-by-dhcp.cox.net> (Junio C. Hamano's message of "Fri, 12 Jan 2007 12:26:15 -0800")


Signed-off-by: Junio C Hamano <junkio@cox•net>
---
 git-sh-setup.sh |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)

diff --git a/git-sh-setup.sh b/git-sh-setup.sh
index 57f7f77..6b1c142 100755
--- a/git-sh-setup.sh
+++ b/git-sh-setup.sh
@@ -36,6 +36,17 @@ is_bare_repository () {
 	esac
 }
 
+cd_to_toplevel () {
+	cdup=$(git-rev-parse --show-cdup)
+	if test ! -z "$cdup"
+	then
+		cd "$cdup" || {
+			echo >&2 "Cannot chdir to $cdup, the toplevel of the working tree"
+			exit 1
+		}
+	fi
+}
+
 require_work_tree () {
 	test $(is_bare_repository) = false ||
 	die "fatal: $0 cannot be used without a working tree."
-- 
1.5.0.rc1.g397d

  parent reply	other threads:[~2007-01-12 20:55 UTC|newest]

Thread overview: 31+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2007-01-12  2:43 What's in git.git and announcing GIT v1.5.0-rc1 Junio C Hamano
2007-01-12  3:59 ` [PATCH] reflog-expire: brown paper bag fix Junio C Hamano
2007-01-12  4:02   ` Shawn O. Pearce
2007-01-12 15:01 ` What's in git.git and announcing GIT v1.5.0-rc1 Andy Parkins
2007-01-12 18:35   ` [PATCH] Friendlier error message for commands that can't be run from a subdirectory koreth
2007-01-12 18:39   ` What's in git.git and announcing GIT v1.5.0-rc1 Steven Grimm
2007-01-12 19:10   ` [PATCH] Change to the repository's root directory if needed koreth
2007-01-12 21:18     ` Junio C Hamano
2007-01-12 22:11       ` Steven Grimm
2007-01-12 23:17         ` Junio C Hamano
2007-01-12 20:26   ` [PATCH] Explain "Not a git repository: '.git'" Junio C Hamano
2007-01-12 20:55     ` Junio C Hamano
2007-01-12 20:55     ` Junio C Hamano [this message]
2007-01-12 20:55     ` [PATCH 2/3] Use cd_to_toplevel in scripts that implement it by hand Junio C Hamano
2007-01-12 20:56     ` [PATCH 3/3] Allow whole-tree operations to be started from a subdirectory Junio C Hamano
2007-01-13 16:42       ` Andy Parkins
2007-01-14  0:11       ` Josef Weidendorfer
2007-01-14  0:21         ` Shawn O. Pearce
2007-01-14  0:39           ` Josef Weidendorfer
2007-01-14  0:50         ` Junio C Hamano
2007-01-14  0:52         ` Steven Grimm
2007-01-14  1:37           ` Junio C Hamano
2007-01-14 18:13             ` Steven Grimm
2007-01-14 18:29               ` Steven Grimm
2007-01-14 19:36               ` Junio C Hamano
2007-01-14  1:50           ` Junio C Hamano
2007-01-16 15:14         ` Andreas Ericsson
2007-01-14 23:36 ` What's in git.git and announcing GIT v1.5.0-rc1 lamikr
2007-01-15  2:21   ` Horst H. von Brand
2007-01-15 20:54     ` lamikr
2007-01-15 21:56       ` Junio C Hamano

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=7vmz4ormmc.fsf_-_@assigned-by-dhcp.cox.net \
    --to=junkio@cox$(echo .)net \
    --cc=andyparkins@gmail$(echo .)com \
    --cc=git@vger$(echo .)kernel.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox